Bug 969592 - SY quickstart remote-invoker - applicant name is null
SY quickstart remote-invoker - applicant name is null
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: Examples (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity unspecified
: DR6
: 6.0.0
Assigned To: Keith Babo
Jiri Sedlacek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-31 16:42 EDT by Matt Davis
Modified: 2015-08-02 19:43 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Users encountered errors with the remote-invoker quickstart in previous versions. When attempting to run this quickstart, the system receives null details instead of the applicant name. This resulted in incorrect approval messages. This has been fixed in the current version and the quickstart runs as expected.
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SWITCHYARD-1343 Major Closed tweak JSON serialization to recognize javabean setters with return values 2014-06-16 20:24:06 EDT

  None (edit)
Description Matt Davis 2013-05-31 16:42:07 EDT
Description of problem:
Run the remote-invoker quick start and the application is approved, but null is returned to system out instead of John Smith :
[stdout] (http-localhost/127.0.0.1:8080-2) Approving credit for null

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Build and deploy remote-invoker quickstart, then run - mvn exec:java
2. Look at the corresponding entry in the server.log file
3.

Actual results:
Approving credit for null

Expected results:
Approving credit for John Smith

Additional info:
Comment 1 Keith Babo 2013-06-02 20:43:18 EDT
This is a mistake in the quickstart as it relies on JSON serialization recognizing non-void return methods as setters, but that is not present in 0.8.x :
https://issues.jboss.org/browse/SWITCHYARD-1343

It is, however, present in 1.0.  I have tested this qs in a 1.0 build and the console output is correct.  If you want to work around the issue in a 0.8 build (SOA-P 6 Alpha), then change the setName() method in Application to look like this:

public void setName(String name) {
   this.name = name;
}
Comment 3 Jiri Sedlacek 2013-07-01 07:09:31 EDT
verified in DR6
Comment 7 JBoss JIRA Server 2014-06-16 19:48:30 EDT
Keith Babo <kbabo@redhat.com> updated the status of jira SWITCHYARD-1343 to Closed

Note You need to log in before you can comment on or make changes to this bug.